VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ExtraConfig Class Reference

The `ExtraConfig` class contains the information about a vmw:ExtraConfig element which can be used to specify configuration settings that are transferred directly to the

    .vmx

file. More...

List of all members.

## Public Member Functions
| ExtraConfig ()
| Creates a default new instance.
string | GetKey ()
| The key of the ExtraConfig element.
void | SetKey (string key)
| The key of the ExtraConfig element.
string | GetValue ()
| The value of the ExtraConfig element.
void | SetValue (string value_)
| The value of the ExtraConfig element.
string | GetVirtualSystemId ()
| The identifier of the virtual system containing the vmw:ExtraConfig element.
void | SetVirtualSystemId (string virtualSystemId)
| The identifier of the virtual system containing the vmw:ExtraConfig element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ExtraConfig` class contains the information about a vmw:ExtraConfig element which can be used to specify configuration settings that are transferred directly to the

    .vmx

file.

The behavior of the vmw:ExtraConfig element is similar to the

    extraConfig

property of the

    VirtualMachineConfigSpec

object in the VMware vSphere API. Thus, the same restrictions apply, such as you cannot set values that could otherwise be set with other properties in the

    VirtualMachineConfigSpec

object. See the VMware vSphere API reference for details on this.

vmw:ExtraConfig elements may occur as direct child elements of a VirtualHardwareSection, or as child elements of individual virtual hardware items.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ExtraConfig::ExtraConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ExtraConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ExtraConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ExtraConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ExtraConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ExtraConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ExtraConfig::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::ovf::ExtraConfig::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::ExtraConfig::GetKey | ( |  | ) | `[inline]`

The key of the ExtraConfig element.

string vmware::vcenter::ovf::ExtraConfig::GetValue | ( |  | ) | `[inline]`

The value of the ExtraConfig element.

string vmware::vcenter::ovf::ExtraConfig::GetVirtualSystemId | ( |  | ) | `[inline]`

The identifier of the virtual system containing the vmw:ExtraConfig element.

void vmware::vcenter::ovf::ExtraConfig::SetKey | ( | string | key | ) | `[inline]`

The key of the ExtraConfig element.

void vmware::vcenter::ovf::ExtraConfig::SetValue | ( | string | value_ | ) | `[inline]`

The value of the ExtraConfig element.

void vmware::vcenter::ovf::ExtraConfig::SetVirtualSystemId | ( | string | virtualSystemId | ) | `[inline]`

The identifier of the virtual system containing the vmw:ExtraConfig element.

override string vmware::vcenter::ovf::ExtraConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ExtraConfig.cs